<div class="mt-0">
    <div class="title mb-2">
        <h3>
          {{'employee.firstTitle' | translate}}
          <div class="spinner-border" role="status" *ngIf="loading">
              <span class="visually-hidden">{{ 'shared.loading' | translate }}</span>
          </div>
        </h3>
    </div>
    <div class="mb-3">
        <div class="d-flex justify-content-end">
            <div class="d-flex align-items-center me-2">
                <span class="me-2" aria-readonly="true">{{'employee.filter' | translate}}</span>
                <select class="form-select me-3" aria-label="Дате" (change)="filterDate($event)">
                    <option value="" selected>{{'employee.date' | translate}}</option>
                    <option value="today">На сегодня</option>
                    <option value="week">За неделю</option>
                    <option value="month">За месяц</option>
                    <option value="year">За год</option>
                </select>
                <select class="form-select me-3" aria-label="Региону" (change)="regionSelect($event)">
                    <option [value]="null" selected>{{'employee.regions' | translate}}</option>
                    <option [value]="region.id" *ngFor="let region of regions">{{region?.name}}</option>
                </select>
                <div ngbDropdown class="d-inline-block">
                    <button type="button" class="btn btn-outline-secondary" id="ststus1" ngbDropdownToggle>
                        {{'employee.status' | translate}}
                    </button>
                    <div ngbDropdownMenu aria-labelledby="status1" class="form-status p-3">
                        <div class="form-check" *ngFor="let status of statuses">
                            <input class="form-check-input" type="radio" name="status" (change)="changeStatus(status.id)">
                            <label class="form-check-label" for="1">{{status?.name}}</label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="border rounded" *ngIf="applications?.items.length !== 0">
        <table class="table table-striped">
            <thead>
                <tr class="text-nowrap text-center">
                    <th scope="col">№</th>
                    <th scope="col">{{'employee.tableExecutor' | translate}}<a (click)="sort('executor')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">ИИН/БИН <a (click)="sort('iin')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'employee.tableStatus' | translate}}<a (click)="sort('currentStatus')"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'employee.tableDate' | translate}}<a (click)="sort('dateOfApplication')"><i class="bi bi-sort-alpha-down"></i></a></th>
                </tr>
            </thead>

            <tbody>
                <tr *ngFor="let user of applications?.items" role="button" (click)="onDetail(user.id)">
                    <td>{{user.number}}</td>
                    <td>{{user?.executor?.login}}</td>
                    <td>{{user.iin}}</td>
                    <td>
                        <div class="status mx-auto">{{user.currentStatus?.name}}</div>
                    </td>
                    <td>{{user.dateOfApplication | date: 'dd.MM.yyyy'}}</td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination [collectionSize]="applications?.count" (pageChange)="setPage($event)"></ngb-pagination>
    </div>
 <app-empty-list *ngIf="applications?.items.length === 0"></app-empty-list>
</div>
